package cd.casic.module.terminal.host.extra.model;

import cd.casic.module.terminal.common.GenericsDataModel;
import lombok.*;

import java.util.Date;
import java.util.List;

/**
 * 主机拓展信息 - 规格模型
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2025/3/24 0:34
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HostSpecExtraModel implements GenericsDataModel {

    /**
     * sn
     */
    private String sn;

    /**
     * 系统名称
     */
    private String osName;

    /**
     * cpu 核心数
     */
    private Integer cpuCore;

    /**
     * cpu 频率
     */
    private Double cpuFrequency;

    /**
     * cpu 型号
     */
    private String cpuModel;

    /**
     * 内存大小
     */
    private Double memorySize;

    /**
     * 硬盘大小
     */
    private Double diskSize;

    /**
     * 上行带宽
     */
    private Integer inBandwidth;

    /**
     * 下行带宽
     */
    private Integer outBandwidth;

    /**
     * 公网 ip 列表
     */
    private List<String> publicIpAddress;

    /**
     * 内网 ip 列表
     */
    private List<String> privateIpAddress;

    /**
     * 负责人
     */
    private String chargePerson;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 到期时间
     */
    private Date expiredTime;

    /**
     * 扩展信息
     */
    @Singular
    private List<HostSpecExtraItem> items;

    /**
     * 扩展信息项
     */
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class HostSpecExtraItem {

        /**
         * 标签
         */
        private String label;

        /**
         * 值
         */
        private String value;

    }

}
