package cd.casic.module.terminal.host.terminal.model.request;

import cd.casic.module.terminal.host.terminal.model.TerminalBasePayload;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * ssh 输入请求 实体对象
 * <p>
 * i|eff00a1|command
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/12/29 16:20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SshInputRequest extends TerminalBasePayload {

    /**
     * command
     */
    private String command;

}
